<?php
namespace Incoviba\Model\Proyecto;

use Incoviba\Model\Tipo;

class TipoEstadoProyecto extends Tipo
{
    public int $orden;
    public Etapa $etapa;

    public function jsonSerialize(): mixed
    {
        return array_merge(parent::jsonSerialize(), [
            'orden' => $this->orden,
            'etapa' => $this->etapa
        ]);
    }
}
